Bug 152101 - host panics when mounting nfs4 volumes
Summary: host panics when mounting nfs4 volumes
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: kernel (Show other bugs)
(Show other bugs)
Version: 4.0
Hardware: All Linux
medium
medium
Target Milestone: ---
: ---
Assignee: Steve Dickson
QA Contact: Brian Brock
URL:
Whiteboard:
Keywords: Regression
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-03-24 20:28 UTC by Bill Peck
Modified: 2007-11-30 22:07 UTC (History)
3 users (show)

Fixed In Version: 2.6.9-6.37.EL
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-03-31 20:09:10 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
kernel panic (48.17 KB, text/plain)
2005-03-24 20:28 UTC, Bill Peck
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2005:420 normal SHIPPED_LIVE Important: Updated kernel packages available for Red Hat Enterprise Linux 4 Update 1 2005-06-08 04:00:00 UTC

Description Bill Peck 2005-03-24 20:28:36 UTC
Description of problem:
After mounting an nfs version 4 volume the system panics.

Panic attached.

Version-Release number of selected component (if applicable):
2.6.9-6.31

How reproducible:
unknown

Steps to Reproduce:
1. mount a version 4 nfs share
2. mount -t nfs4 server:/share /mnt/point
3.
  
Actual results:


Expected results:


Additional info:

Comment 1 Bill Peck 2005-03-24 20:28:37 UTC
Created attachment 112336 [details]
kernel panic

Comment 2 Steve Dickson 2005-03-24 21:55:28 UTC
The reason we are seeing this with only Solaris server
is they offer file delegations, something our server and
netapps not do...

This was fixed in a proposed patch that didn't make
it into U1.... 

Comment 3 Bill Peck 2005-03-28 16:26:47 UTC
I just double checked that mounting a Solaris NFS4 server from RHEL4 GA does not
panic the system.  This is most definatly a regression.

Comment 5 Bill Peck 2005-03-31 20:09:10 UTC
Confirmed fixed


Note You need to log in before you can comment on or make changes to this bug.